Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 26-02-2022 16:30:16

gargamel79
Membre
Lieu : Baugé en Anjou
Distrib. : Debian bullseye
Noyau : 5.10.0-10-amd64
(G)UI : xfce
Inscription : 15-11-2009

[Résolu impression impossible

Bonjour,
Voici ma configuration
.station Debian10
.Bureau Xfce
.imprimante HP OfficeJet PRO 6970
Voici mon problème
. initialement impression sans problème
. suppression du paquet cups (pour tenter de résoudre un problème de démarrage)
. impression impossible avec message :
   Backend /usr/lib/cups/backend/hp does not exist!
. remise en place du paquet cups
. suppression du paquet printer-driver-hpijs (connu pour poser des problèmes...)
. reboot
. toujours le même message sur Fichier | Imprimer
    Backend /usr/lib/cups/backend/hp does not exist!
Merci si quelqu'un peut me suggérer quelque chose.

Dernière modification par gargamel79 (01-03-2022 12:01:46)

Hors ligne

#2 27-02-2022 11:51:18

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : [Résolu impression impossible

Hello

As tu bien le paquet d'hplip d'installé ?


https://debian-facile.org/doc:materiel:imprimante-hp

"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#3 27-02-2022 12:43:47

gargamel79
Membre
Lieu : Baugé en Anjou
Distrib. : Debian bullseye
Noyau : 5.10.0-10-amd64
(G)UI : xfce
Inscription : 15-11-2009

Re : [Résolu impression impossible

Merci beaucoup pour ta réponse.
Entre deux j'ai fait tellement d'install. de paquets, sans doute inutiles, que j'ai maintenant des paquets cassés... mad
Je crois que je suis bon pour une réinstall.!
J'avais déjà des problèmes aléatoires  de lancement du network manager.
J'e tire la conclusion qu'il ne faut absolument pas dé-installer cups...
Mais ton info. est intéressante, je la note dans mes tablettes. smile

Hors ligne

#4 27-02-2022 13:29:01

Debian Alain
Membre
Lieu : Bretagne
Distrib. : sid (unstable) / bullseye (stable)
Noyau : Linux sid 6.0.0-4-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu impression impossible

bonjour gargamel79 ,  big_smile  big_smile  big_smile

depuis debian 11 (mais quel noyau ? (le 5.10 sauf erreur)) , la gestion des imprimantes est modifiée dans linux .

il faut désormais passer par le paquet "sane-airscan" .

j'espère que tu n'es pas  dans ce cas .

amicalement .

alain .

coyotus.png
note :
énormément de dépendances de cups dépendent de la libc6 .
pas étonnant , dès lors , que tu risques de casser ta machine en l' enlevant .
la commande (à installer si tu l'as pas) : 

apt-rdepends cups

te permet de vérifier .

Dernière modification par Debian Alain (27-02-2022 13:47:14)

Hors ligne

#5 27-02-2022 16:48:11

gargamel79
Membre
Lieu : Baugé en Anjou
Distrib. : Debian bullseye
Noyau : 5.10.0-10-amd64
(G)UI : xfce
Inscription : 15-11-2009

Re : [Résolu impression impossible

merci pour ta réponse, en fait, comme indiqué dans mon premier post, c'est une station Debian10 qui est incriminée.
Mais tes infos me seront précieuses, en fait j'ai eu beaucoup de problème avec Debian11 avec les imprimantes/scanners. smile

C'est résolu pour Debian10 par réinstallation de pour Debian11 par tes indications

Dernière modification par gargamel79 (01-03-2022 12:01:06)

Hors ligne

Pied de page des forums